import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/E-Referral/e_referral_index_page.dart';
import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/h2o/h2o_index_page.dart';
import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/health_converter.dart';
import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/my_web_view.dart';
import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/parking_page.dart';
import 'package:diplomaticquarterapp/pages/Blood/advance_payment_page.dart';
import 'package:diplomaticquarterapp/pages/Blood/blood_donation.dart';

import 'package:diplomaticquarterapp/pages/BookAppointment/BookingOptions.dart';
import 'package:diplomaticquarterapp/pages/ErService/ErOptions.dart';
import 'package:diplomaticquarterapp/pages/ToDoList/ToDo.dart';
import 'package:diplomaticquarterapp/pages/family/my-family.dart';
import 'package:diplomaticquarterapp/pages/insurance/insurance_update_screen.dart';

import 'package:diplomaticquarterapp/pages/livecare/livecare_home.dart';
import 'package:diplomaticquarterapp/pages/medical/medical_profile_page.dart';
import 'package:diplomaticquarterapp/pages/paymentService/payment_service.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:diplomaticquarterapp/widgets/data_display/services)contaniner.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:webview_flutter/webview_flutter.dart';

import 'h2o/h2o_page.dart';

class AllHabibMedicalService extends StatefulWidget {
  @override
  _AllHabibMedicalServiceState createState() => _AllHabibMedicalServiceState();
}

class _AllHabibMedicalServiceState extends State<AllHabibMedicalService> {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      appBarTitle: TranslationBase.of(context).alhabiServices,
      body: Column(
        children: [
          Expanded(
            child: ListView(
              scrollDirection: Axis.vertical,
              physics: AlwaysScrollableScrollPhysics(),
              shrinkWrap: true,
              children: [
                Container(
                  width: double.infinity,
                  height: 190,
                  decoration: BoxDecoration(
                    image: DecorationImage(
                      image: ExactAssetImage('assets/images/timeline_bg.png'),
                      fit: BoxFit.cover,
                    ),
                  ),
                  child: Padding(
                    padding: EdgeInsets.symmetric(horizontal: 10.0),
                    child: Column(
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text(
                            'Health Weather Indicators',
                            style: TextStyle(
                              color: Colors.white,
                              fontSize: 22.0,
                              fontWeight: FontWeight.w600,
                            ),
                          ),
                          SizedBox(
                            height: 35.0,
                          ),
                          Text(
                            'Health Tips Based On Current Weather',
                            style: TextStyle(
                              color: Colors.white,
                            ),
                          ),
                        ]),
                  ),
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: MedicalProfilePage(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/my_file_bottom_bar.png',
                  title: TranslationBase.of(context).myMedicalFile,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: LiveCareHome(),
                    ),
                  ),
                  imageLocation: 'assets/images/new-design/liveCare_ar_bg.png',
                  title: TranslationBase.of(context).livecare,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: BookingOptions(
                        isAppbar: true,
                      ),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/booking_icon_active.png',
                  title: TranslationBase.of(context).bookAppo,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: PaymentService(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/al-habib_online_payment_service_icon.png',
                  title: TranslationBase.of(context).onlinePaymentService,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(),
                  ),
                  imageLocation:
                      'assets/images/al-habib_online_payment_service_icon.png',
                  title: 'Covid-19- Drive-Thru Test',
                ),
                ServicesContainer(
                  onTap: () {
                    Navigator.push(
                      context,
                      FadePage(
                        page: ErOptions(
                          isAppbar: true,
                        ),
                      ),
                    );
                  },
                  imageLocation: 'assets/images/emergency_service_image.png',
                  title: TranslationBase.of(context).emergencyService,
                ),
                ServicesContainer(
                    onTap: () => Navigator.push(
                          context,
                          FadePage(
                            page: ParkingPage(),
                          ),
                        ),
                    imageLocation: 'assets/images/pharmacy_logo.png',
                    title: 'Pharmacy'),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: InsuranceUpdate(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/medical/insurance_card_icon.png',
                  title: TranslationBase.of(context).updateInsurance,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(page: EReferralIndexPage()),
                  ),
                  imageLocation: 'assets/images/ereferral_service_icon.png',
                  title: 'E-Referral',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: MyFamily(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/family_menu_icon_red.png',
                  title: 'My Family',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(),
                  ),
                  imageLocation:
                      'assets/images/new-design/children_vaccines_icon.png',
                  title: 'Child Vaccines',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: ToDo(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/upcoming_icon_bottom_bar.png',
                  title: TranslationBase.of(context).todoList,
                ),
                ServicesContainer(
                    onTap: () => Navigator.push(
                          context,
                          FadePage(),
                        ),
                    imageLocation: 'assets/images/new-design/body_icon.png',
                    title: 'Symptom Checker'),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(page:BloodDonationPage()),
                  ),
                  imageLocation: 'assets/images/new-design/blood_icon.png',
                  title: 'Blood Donation',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(),
                  ),
                  imageLocation:
                      'assets/images/new-design/health_calculator_icon.png',
                  title: 'Health Calculators',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: HealthConverter(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/health_convertor_icon.png',
                  title: 'Health Converter',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: H2OPageIndexPage(),
                    ),
                  ),
                  imageLocation: 'assets/images/new-design/water_icon.png',
                  title: 'H2O',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(),
                  ),
                  imageLocation: 'assets/images/new-design/smartwatch_icon.png',
                  title: TranslationBase.of(context).smartWatches,
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: ParkingPage(),
                    ),
                  ),
                  imageLocation:
                      'assets/images/new-design/parking_system_icon.png',
                  title: TranslationBase.of(context).parking,
                ),
                ServicesContainer(
                  onTap: () => launch(
                      "https://hmgwebservices.com/vt_mobile/html/index.html"),
                  imageLocation:
                      'assets/images/new-design/virtual_tour_icon.png',
                  title: 'Virtual Tour',
                ),
                ServicesContainer(
                  onTap: () {
                    Navigator.of(context).push(MaterialPageRoute(
                        builder: (BuildContext context) => MyWebView(
                              title: "HMG News",
                              selectedUrl: "https://twitter.com/hashtag/مجموعة_د_سليمان_الحبيب_الطبية?src=hashtag_click&f=live",
                            )));
                  },
                  imageLocation:
                      'assets/images/new-design/twitter_dashboard_icon.png',
                  title: 'Latest News',
                ),
                ServicesContainer(
                  onTap: () => Navigator.push(
                    context,
                    FadePage(
                      page: ParkingPage(),
                    ),
                  ),
                  imageLocation: 'assets/images/new-design/find_us_icon.png',
                  title: 'Find Us',
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
